Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.schema.identity
Interface ValueStore

All Known Implementing Classes:
  XMLValidator.ValueStoreBase

public interface ValueStore

Interface for storing values associated to an identity constraint. Each value stored corresponds to a field declared for the identity constraint. One instance of an object implementing this interface is created for each identity constraint per element declaration in the instance document to store the information for this identity constraint.

Note: The component performing identity constraint collection and validation is responsible for providing an implementation of this interface. The component is also responsible for performing the necessary checks required by each type of identity constraint.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: ValueStore.java,v 1.4 2001/05/15 17:21:25 neilg Exp $
Author:
  Andy Clark, IBM

Method Summary
`void` | `addValue(Field field, IDValue value)` Adds the specified value to the value store.
`void` | `reportNilError(IdentityConstraint id)`

Method Detail

### addValue

    public void addValue(Field field,
                         IDValue value)
                  throws java.lang.Exception

  Adds the specified value to the value store.

  Parameters:
    `value` - The value to add.
    `field` - The field associated to the value. This reference is used to ensure that each field only adds a value once within a selection scope.

### reportNilError

    public void reportNilError(IdentityConstraint id)
                        throws java.lang.Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference